Name:           perl-Class-DBI-AbstractSearch
Version:        0.05
Release:        3%{?dist}
Summary:        Abstract Class::DBI's SQL with SQL::Abstract
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-AbstractSearch
Source0:        http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/Class-DBI-AbstractSearch-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:	perl(Class::DBI), perl(DBD::SQLite), perl(SQL::Abstract)
Requires:  perl(Class::DBI)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n Class-DBI-AbstractSearch-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes
%{perl_vendorlib}/Class/DBI
%{_mandir}/man3/*.3*


%changelog
* Tue Sep  6 2005 Paul Howarth <paul@city-fan.org> 0.05-3
- remove redundant BR: perl
- honor %%{?_smp_mflags}
- include license text
- add BR: perl(DBD::SQLite) for better test coverage

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-1
- Initial package for Fedora Extras
